Which version of Google earth do I need.

Discussion in 'Mac Basics and Help' started by Fishtalk, Apr 21, 2009.

  1. Fishtalk macrumors regular

    Joined:
    Oct 21, 2008
    #1
    I have an old G3 Pismo runing 10.3.9 and all the new versions of G/E I've tried dont work.... Where can I find and download a suitable version.
    Thanks
     
  2. jodelli macrumors 65816

    jodelli

    Joined:
    Jan 6, 2008
    Location:
    Windsor, ON, Canada
    #2
    You'd need more VRAM than the Pismo can use for GE to even run. I tried it with the minimum video card recommended and the frame rate was as steady as a drunk at last call.
     
  3. Fishtalk thread starter macrumors regular

    Joined:
    Oct 21, 2008
    #3
    I did have a version that worked.. Well sort of....but when I tried downloading the new one I suppose it thew it out... and I dont have the old DMG. and at the time I only had 256 ram. Now I have 650.
     
  4. jodelli macrumors 65816

    jodelli

    Joined:
    Jan 6, 2008
    Location:
    Windsor, ON, Canada
    #4
    The old versions will no longer work as the app depends on streaming the information through hopefully a broadband connection. However there is this
     
  5. Fishtalk thread starter macrumors regular

    Joined:
    Oct 21, 2008
    #5
    Ok thanks but I'll use google Maps..... not as much detail, or as much fun
    But if I have an old computer...i have an old computer.
     

Share This Page